Subject: bug#38056: 27.0.50; dired.c changes introduced autocompletion error

From: Pankaj Jangid <[email-masked]>
Date: Mon, 04 Nov 2019 23:22:24 +0530

Eli Zaretskii <[email-masked]> writes:

>> From: Pankaj Jangid <[email-masked]>
>> Date: Mon, 04 Nov 2019 10:52:09 +0530
>> 
>> I have tried it in various ways. The checkin
>> 84a3793b194efe92e2eb80cd0f625f3324bf4cae have introduced autocompletion
>> issues at various places. To reproduce, I have tried these steps. I have
>> also tried it on one previous commit
>> (3c86424a182892db1e0216b9aa7e8389ae6f13de). This commit is ok; which
>> implies that the issues has occurred in commit
>> 84a3793b194efe92e2eb80cd0f625f3324bf4cae only.
>
> FTR, this issue was introduced by commit 0b21ecd, not
> 84a3793b194efe92e2eb80cd0f625f3324bf4cae.
>

Yes. That is correct. Error in my reporting.

>> (1) launched emacs using "./src/emacs -Q".
>> (2) (setq debug-on-error t).
>> (3) C-x C-f and then type few characters of some file and TAB. This
>> produces same error. autocompletion on directories is working fine.
>> OR
>> (3) Tried to rename a file in dired. Press R, press few characters of
>> the file, press TAB. This produces error. I have debug-on-error set to
>> t.
>> 
>> produces this error:
>> 
>> Debugger entered--Lisp error: (args-out-of-range "a.txt" 3 2)
>>   file-name-completion("a" "~/work/temp/" file-exists-p)
>
> Sorry about that.  Should be fixed now.

Thanks.

Regards,
-- 
Pankaj Jangid